Bug 1276910 - Review Request: python-transforms3d - 3 dimensional spatial transformations
Review Request: python-transforms3d - 3 dimensional spatial transformations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro python-nipy
  Show dependency treegraph
 
Reported: 2015-11-01 03:36 EST by Igor Gnatenko
Modified: 2016-08-14 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:23:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-01 03:36:20 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-transforms3d.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-transforms3d-0.2.1-1.fc24.src.rpm
Description:
Code to convert between various geometric transformations.

* Composing rotations / zooms / shears / translations into affine matrix;
* Decomposing affine matrix into rotations / zooms / shears / translations;
* Conversions between different representations of rotations, including:
** 3x3 Rotation matrices;
** Euler angles;
** quaternions.
Fedora Account System Username: ignatenkobrain
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-24 22:39:29 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 66
     files have unknown license. Detailed output of licensecheck in
     /var/tmp/1276910-python-transforms3d/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-transforms3d , python3-transforms3d
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-transforms3d-0.2.1-2.fc24.noarch.rpm
          python3-transforms3d-0.2.1-2.fc24.noarch.rpm
          python-transforms3d-0.2.1-2.fc24.src.rpm
python2-transforms3d.noarch: W: spelling-error %description -l en_US affine -> caffeine, fine
python2-transforms3d.noarch: W: spelling-error %description -l en_US quaternions -> Quaternary
python3-transforms3d.noarch: W: spelling-error %description -l en_US affine -> caffeine, fine
python3-transforms3d.noarch: W: spelling-error %description -l en_US quaternions -> Quaternary
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_axangles.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/derivations/__pycache__/angle_axes.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/zooms.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/utils.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/quaternions.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/affines.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_reflections.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/derivations/__pycache__/eulerangles.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_quaternions.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_euler.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/samples.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_taitbryan.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/derivations/__pycache__/decompositions.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_zooms_shears.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/__init__.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/reflections.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/euler.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/derivations/__pycache__/__init__.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_implementations.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/tests/__pycache__/test_affines.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/_gohlketransforms.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/_version.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/derivations/__pycache__/utils.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/axangles.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/taitbryan.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/__init__.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/derivations/__pycache__/quaternions.cpython-35.opt-1.pyc
python3-transforms3d.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/transforms3d/__pycache__/shears.cpython-35.opt-1.pyc
python-transforms3d.src: W: spelling-error %description -l en_US affine -> caffeine, fine
python-transforms3d.src: W: spelling-error %description -l en_US quaternions -> Quaternary
3 packages and 0 specfiles checked; 0 errors, 34 warnings.

All OK.

Requires
--------
python3-transforms3d (rpmlib, GLIBC filtered):
    python(abi)
    python3-numpy

python2-transforms3d (rpmlib, GLIBC filtered):
    numpy
    python(abi)

Provides
--------
python3-transforms3d:
    python3-transforms3d

python2-transforms3d:
    python-transforms3d
    python-transforms3d(x86-64)
    python2-transforms3d

Everything looks good. Package is APPROVED
Comment 3 Till Maas 2015-11-26 15:21:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-transforms3d
Comment 4 Fedora Update System 2015-12-06 04:21:33 EST
python-transforms3d-0.2.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8eff51e37a
Comment 5 Fedora Update System 2015-12-06 18:51:28 EST
python-transforms3d-0.2.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-transforms3d'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8eff51e37a
Comment 6 Fedora Update System 2015-12-15 08:23:15 EST
python-transforms3d-0.2.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.